GETValidators

https://rpc-babylon-mainnet.nodit.io/validators

Retrieves the validator list at the specified block height.

Query Parameters
heightstring

Block height to query validators.

pagestring

Page number.

per_pagestring

Number of items per page.

Responses
jsonrpcstringrequired

JSON-RPC protocol version. Always 2.0.

idintegerrequired

The request ID, echoed back unchanged.

block_heightstring

Block height the result refers to.

validatorsobject[]

List of validators.

addressstring

Validator address.

pub_keyobject

Validator public key.

typestring

Public key type (for example, tendermint/PubKeyEd25519).

valuestring

Public key value (Base64).

voting_powerstring

Voting power of the validator.

proposer_prioritystring

Proposer priority.

countstring

Number of validators in this response.

totalstring

Total number of validators.

X-API-KEY
RequestCU30
cURL
curl -X GET "https://rpc-babylon-mainnet.nodit.io/validators?height=1&page=1&per_page=20" \
  -H "X-API-KEY: {YOUR_API_KEY}"
Response
Example · 200
{
  "jsonrpc": "2.0",
  "id": 1,
  "result": {
    "block_height": "1",
    "validators": [
      {
        "address": "B00A6323737F321EB0B8D59C6FD497A14B60938A",
        "pub_key": {
          "type": "tendermint/PubKeyEd25519",
          "value": "oX8HyvloaslMOq50t0UjM5WkxaB3VJFQ/E3AYkM/GKE="
        },
        "voting_power": "1000000",
        "proposer_priority": "0"
      }
    ],
    "count": "1",
    "total": "1"
  }
}